Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_serializer_serialize_model

## Name

librdf_serializer_serialize_model -- Turn a librdf_model into a serialized form

## Synopsis

``int `librdf_serializer_serialize_model`` (librdf_serializer* `serializer`, FILE * `handle`, librdf_uri* `base_uri`, librdf_model* `model`);`

## Arguments

`serializer`

  the serializer

`handle`

  file handle to serialize to

`base_uri`

  the base URI to use or NULL

`model`

  the librdf_model model to use

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_free_serializer | Up | librdf_serializer_serialize_model_to_file